Page MenuHomePhabricator

Enable Conpherence for all Wikimedia Phabricator users
Closed, ResolvedPublic

Description

Conpherence is a Phabricator application that allows 1:1 and group chat private conversations. You can try it out at https://phab-01.wmflabs.org/conpherence/

After a first test with T834: Conpherence for FOSS OPW round 9 participants, @Qgil wants to keep using it for Google-Summer-of-Code (2015) and Outreachy-Round-10. However, it could be simply enabled to all Phabricator users.

Event Timeline

Qgil created this task.Mar 3 2015, 1:17 PM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 1:17 PM
Qgil renamed this task from Enable Conpherence in Wikimedia Phabricator to Enable Conpherence for all Wikimedia Phabricator users.Mar 3 2015, 1:17 PM
Qgil set Security to None.
Memeht added a subscriber: Memeht.Mar 9 2015, 10:22 PM

I think it is a good idea to keep it open to all Phabricator users. It's a great way to get community buy-in and it certainly helped me keep track of the tasks that I needed to complete my project.

The only drawback is that a lot of people don't reply when contacted via Conpherence, maybe a note to users that email/irc should be the default mode of contact.

Qgil added a comment.Mar 9 2015, 10:43 PM

The only drawback is that a lot of people don't reply when contacted via Conpherence

Can you expand in this? Only Outreach-Program-For-Women-9 interns, mentors, org admins and perhaps a couple users more have access to Conpherence, so it is no surprise that if you ping other users they will be either unaware of your ping or unable to reply.

At first I was slightly reluctant because we'd open another non-public discussion place while stuff like "Email this user" in mediawiki.org already exists, or external options like Skype/Hangout/WebRTC calls. However, MediaWiki only provides 1:1 while Conpherence allows more than two people.

There are very valid reasons to provide non-public places with a restricted audience for certain types of conversations: It allows people to feel safer and bring up topics that they might not want to bring up in public for various reasons.
Also, Conpherence conversations feel more personal than IRC because we have avatars and might lead to 'deeper' relations among involved folks [citation needed].

So I'm leaning towards enabling it for all users.

Very vague, but I'd like recommendations when using Conpherence could be a good idea. https://www.mediawiki.org/wiki/Communication looks like a candidate.

greg added a subscriber: greg.Apr 9 2015, 4:28 PM
Qgil added a comment.EditedApr 13 2015, 10:36 PM

Conpherence is seeing a ton of development upstream. New features include the possibility to create public "rooms" and reliable real-time updates. In other words, webchat experience in Phabricator. https://secure.phabricator.com/T7565

In the short term, it has been useful to coordinate with OPW interns and teams. It's a substitute of private email and private chats happening elsewhere and being more difficult to track and retrieve. I think this is enough to get started.

Bit of a crazy idea but when Conference v2 ships it could be used as an alternative to #wikimedia-office.

Qgil added a comment.Apr 14 2015, 8:19 AM

@Negative24, I take you comment as a YES to the current and very humble proposal. :) I have no doubt that the regular use of Conpherence, and especially its expansion to a public channel will bring many ideas.

Converting IRC meetings that need to be stored is definitely an interesting idea, although I think we should look at it case by case (i.e. Architecture RfC meetings look like good candidates, because then linking tasks to conpherences about those tasks would be simpler.

@Qgil Yes...(reads comments above more carefully)...er, yes.

Hm, I was convinced that this task was assigned to @Aklapper, and it actually made it through our March sprint. Adding it to April and... do you want to take it?

Qgil moved this task from Backlog to Need Discussion on the ECT-April-2015 board.Apr 16 2015, 9:58 AM
Qgil added a comment.Apr 27 2015, 7:46 AM

Last week of April and no arguments against. I would enable it before jumping to May. I see many benefits and no risk of harm.

Aklapper claimed this task.Apr 27 2015, 2:30 PM

Wondering whether to set Conpherence's Can Use Application setting either to All Users or Public (currently restricted to admins and Outreach programs).
Does Public really make sense if you cannot reply to the OT? I don't think so, so I propose All Users here.

Wondering whether to set Conpherence's Can Use Application setting either to All Users or Public (currently restricted to admins and Outreach programs).
Does Public really make sense if you cannot reply to the OT? I don't think so, so I propose All Users here.

I agree. No use in confusing people by showing them something they can't actually use.

Aklapper closed this task as Resolved.Apr 29 2015, 11:45 AM

Potential documentation and communication needs (@Qgil expressed willingness in handling) once enabled:

  • Communicate enabling Conpherence to engineering etc.?
  • Create documentation on mw:Phabricator/Help or such
    • icon in the top bar, next to icon
    • Send message button in upper right corner on user pages (now even working!)
    • Setting up and using Conpherence groups effectively
    • When to better use IRC, when to use fall back to Conpherence (cf. mw:Communication etc.?)
  • No upstream Conpherence docs I am aware of
Aklapper reopened this task as Open.Apr 29 2015, 11:45 AM
This comment was removed by QuimGil.
Qgil added a comment.Apr 29 2015, 7:42 PM

I will document as needed, yes.

Aklapper reassigned this task from Aklapper to Qgil.Apr 30 2015, 8:20 AM
Aklapper added subscribers: mmodell, chasemp.
  • @chasemp, @mmodell: Need someone with shell to restart daemons, to get rid of the "Daemons and Web Have Different Config"... :-/
  • @Qgil: Keeping this ticket open for the documentation part (see comment above). Please close once done.
Qgil closed this task as Resolved.Apr 30 2015, 1:39 PM

Done: https://www.mediawiki.org/wiki/Phabricator/Help#Using_Conpherence

We can improve the text if needed, based on questions and other feedback received.

Thank you! Yay Conpherence for everybody!

Qgil added a project: Notice.

I left a Notice about Conpherence in the homepage. I was about to send a note to wikitech-l as well, but then I thought that it is better to let the feature propagate by use.

gpaumier moved this task from Backlog to Triaged on the Notice board.
gpaumier moved this task from To Triage to Announce in next Tech/News on the User-notice board.

The only drawback is that a lot of people don't reply when contacted via Conpherence, maybe a note to users that email/irc should be the default mode of contact.

"A lot of people" may not have had access access to Conpherence when you contacted them, because it was restricted to members of the GSoC project. For example, it's only when Conpherence was enabled for all users a few weeks ago that I received the message you sent me in March.

Another reason for people not replying is that we already have plenty of communication channels, and that people may not want to use another one.

MZMcBride reopened this task as Open.May 6 2015, 2:27 AM

Hmmm, yeah, this needs further thought and consideration. It's obviously not about "can we?" it's more about "should we?" here.

We already have Maniphest, IRC, mailing lists, the wikis, and other chat services such as Google Hangouts. Do we really need Conpherence?

Dzahn added a subscriber: Dzahn.May 6 2015, 2:51 AM

..and Etherpad, Google Talk, Loomio and the Blog comments.

Maybe we can discuss to remove old services when adding new services?

This isn't against Conpherence at all but the overall number of communication channels should be considered.

Many of us already feel overloaded with notifications so the point that you can either work or read all the things but not both.

Qgil added a comment.May 6 2015, 5:06 AM

All the channels mentioned above are either public or private and handled by third party commercial services. Conpherence allows private conversations without giving away your data.

If Conpherence email notifications bother you, you can set them to web only, and/or you can unsubscribe from rooms where someone added you. Nobody has to engage in any Conpherence conversation if they don't want to.

From https://www.mediawiki.org/wiki/Phabricator/Help#Appropriate_uses_of_Conpherence :

Conpherence is for private communication, and therefore it is useful for

  • Reaching out to a user instead of sending a private email.
  • Create a cozy space for casual communication i.e. with newcomers in the context of outreach programs.
  • ... and in general any type of personal communication not expecting project decisions, official replies, or any reply at all.

Conpherence is NOT a substitute of public community channels like IRC, mailing lists, Phabricator tasks... Any bug reports or support requests sent through this channel can and probably will be completely ignored.

Bawolff added a subscriber: Bawolff.May 6 2015, 6:50 AM

All the channels mentioned above are either public or private and handled by third party commercial services. Conpherence allows private conversations without giving away your data.

Radical idea, how about we have less private conversations. I know this is a larger issue, but its rarely a good things to have developer discussion in private, and something we do much too often around here. (With the obvious exception of discussions around inappropriate behavior which should usually be private).

Private conversations about development prevent people from learning what's going on, they prevent people from learning passively by reading what other people do.

If Conpherence email notifications bother you, you can set them to web only, and/or you can unsubscribe from rooms where someone added you. Nobody has to engage in any Conpherence conversation if they don't want to.
From https://www.mediawiki.org/wiki/Phabricator/Help#Appropriate_uses_of_Conpherence :

Conpherence is for private communication, and therefore it is useful for

  • Reaching out to a user instead of sending a private email.
  • Create a cozy space for casual communication i.e. with newcomers in the context of outreach programs.
  • ... and in general any type of personal communication not expecting project decisions, official replies, or any reply at all.

Conpherence is NOT a substitute of public community channels like IRC, mailing lists, Phabricator tasks... Any bug reports or support requests sent through this channel can and probably will be completely ignored.

IRC should be the cozy space imo. The point is to integrate into the community. Most informal talk in the community takes place in one irc channel or another. Anecdotally, I would say whether or not outreach people show up and chat on irc is a major indicator on if they stay around after the end of the program.

Elitre added a subscriber: Elitre.May 6 2015, 9:52 AM
Qgil added a comment.EditedMay 6 2015, 12:49 PM

Summary: for a lot of people, a cozy private place is the best platform to gain the confidence to dive into our public communication channels.

Radical idea, how about we have less private conversations.

...

IRC should be the cozy space imo. The point is to integrate into the community. Most informal talk in the community takes place in one irc channel or another.

The point is to integrate into the community indeed. The idea that the best path for community integration is to go from zero to cozy IRC with a demand of total transparency fits a very specific profile, which forms the mainstream in our current community and in free software communities in general: male, western, with a good command of English, online extrovert... It doesn't fit many other profiles that may be equally interested in free software and Wikimedia, though. Profiles that we want to proactively reach out and onboard effectively, in order to grow and diversify our technical community.

"How about we have less private conversations" is a nice statement but how actionable is it, really? The fact is that many newcomers (and especially those not fitting in the current mainstream profile) will often seek an email address, a private window on IRC or other cozy spaces when they see the chance. The fact is that many mentors and other veteran contributors collaborating with newcomers will often share private emails or some form of private groups (from Skype to Facebook and etc) to discuss about little things while the new contributor gains experience and confidence in our public channels. But how many don't even cross this line and leave because they didn't find a simple way to establish a first communication and were deterred by the demand of open and transparent communication from scratch?

Good chances are that any new developers willing to contribute to Wikimedia will end up in Phabricator soon. All our outreach efforts lead here, and most of our projects will direct here any volunteer developer showing up. Once you are here, Conpherence is the simplest and best way to establish a first private contact with someone. The rest of options frequently require additional research finding the people and/or using tools for the first time. From a Conpherence room is very easy to link to projects, tasks, and one day reviewable patches where any useful project conversation should continue.

Anecdotally, I would say whether or not outreach people show up and chat on irc is a major indicator on if they stay around after the end of the program.

There is probably some truth on that, but two things:

  • This is a bit of a self-fulfilling prophecy. Of course the ones comfortable with the current standards of communication are the ones likely to stick in these channels just following these standards. The question is: how many good contributors are we losing or never getting because of these standards?
  • "Show up and chat on IRC" doesn't need to be the first step for those not familiar with IRC or in general with talking in new and public spaces without knowing anybody. Conpherence can fill the gap for the first stage, as a cozy stepping stone towards public comments in tasks, IRC, our mailing lists, discussion wiki pages, etc.
scfc added a subscriber: scfc.May 6 2015, 4:59 PM

When mail for Toolforge users was introduced, IIRC there was a requirement from WMF-Legal that messages were not stored permanently on WMF servers, i. e. only mail forwarding was (and is) allowed. Has WMF changed its policy on this so that we could implement it in Toolforge as well?

Krenair added a subscriber: Krenair.May 6 2015, 4:59 PM

"How about we have less private conversations"

Actually that part of my comment might have been inappropriate for this bug. I more have an objection to WMF teams having implementation discussions on private mailing lists, then shy newbies having initial "scary" discussions in a private or semi-private space.

I'm still not sure what the benefit of this over email (for async), and irc private message (Or making your own temp channel if more than 2 people are in the discussion) is. Having an overabundance of communication channels has a cost too.

Qgil added a comment.May 7 2015, 12:57 AM

When mail for Toolforge users was introduced, IIRC there was a requirement from WMF-Legal that messages were not stored permanently on WMF servers, i. e. only mail forwarding was (and is) allowed. Has WMF changed its policy on this so that we could implement it in Toolforge as well?

The WMF Legal team was not asked about Conpherence because we were not aware about the need to ask them. I have contacted them now, and they are looking at it. As of now, I have no idea about the implications for Phabricator, even less for Toolforge, but I will focus on Conpherence in this task. :)

Qgil closed this task as Resolved.May 24 2015, 9:28 PM

This discussion seems to be settled. Resolving again.

gpaumier moved this task from Triaged to Archive on the Notice board.May 29 2015, 8:22 PM
Krinkle moved this task from Backlog to Archive on the Developer-notice board.Apr 18 2016, 9:16 PM